library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

entity byteiorb is
  port (
    obus     : out std_logic_vector (7 downto 0);
    readport : in  std_logic;
    portdata : in  std_logic_vector (7 downto 0));
end byteiorb;

architecture behavioral of byteiorb is

begin
  abyteiorb : process (portdata, readport)
  begin
    if readport = '1' then
      obus <= portdata;
    else
      obus <= "ZZZZZZZZ";
    end if;
  end process;

end behavioral;
