library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

entity ledblink is
  port (
    clk  : in  std_logic;
    ledx : out std_logic_vector (7 downto 0)
    );
end ledblink;

architecture behavioral of ledblink is

  signal count : std_logic_vector (28 downto 0);

begin
  aledbliker : process (clk) 
  begin
    if clk'event and clk = '1' then
      count <= count + 1;
    end if;
  end process;
  ledx(0) <= not count(21);
  ledx(1) <= not count(22);
  ledx(2) <= not count(23);
  ledx(3) <= not count(24);
  ledx(4) <= not count(25);
  ledx(5) <= not count(26);
  ledx(6) <= not count(27);
  ledx(7) <= not count(28);
end behavioral;

