

function PadWithSpaces(sstring: string;padlength : integer): string;
var
tstring : string;
anindex : integer;
tooshort : integer;

begin
  tstring := sstring;
  tooshort := padlength - length(sstring);
  if tooshort > 0 then
  begin
    for anindex := 1 to tooshort do tstring := tstring + ' ';
  end;
  PadWithSpaces := tstring;
end;


procedure StripLeadingBlanks(var st: string);
begin
  while (((st[1] =' ') or (st[1] = chr(9))) and (length(st) >0)) do delete(st,1,1);
end { StripLeadingBlanks };


procedure StripTrailingBlanks(var st: string);
begin
  while (copy(st,length(st),1)=' ') or (copy(st,length(st),1)=chr(9)) do delete(st,length(st),1);
end { StripTraiLingBlanks };

function ScanTillWhite(astr : string) : byte;
{ returns pos preceding first white space found, returns 0 for zero }
{ length string, or string length if no white space is found        }
var anindex,len : byte;
begin
  anindex := 0;
  len := length(astr);
  if len > 0 then
  begin
    while (astr[anindex +1] <> chr(32)) and (astr[anindex +1] <> chr(09)) and (anindex < len) do
    begin
      anindex := anindex +1;
    end;
  end;
  ScanTillWhite := anindex;
end;

function Strip(var rest: string): string;
var
first: string;
endst: integer;
begin
  StripLeadingBlanks(rest);
  endst := ScanTillWhite(rest);              { find position of first white space }
  first := copy(rest,1,endst);               { copy until white space or end }
  rest := copy(rest,endst+1,length(rest));   { delete stripped from rest }
  Strip := first;
end  { Strip };

function UpString(s:string) : string;
var
anindex : byte;
begin
  for anindex := 1 to length(s) do
  s[anindex] := upcase(s[anindex]);
  UpString := s;
end;

function StripNumber( var astring : string): integer;
var
anindex : integer;
returnvar : integer;
aresult : integer;
begin
  anindex := 1;
  while ((astring[anindex] >= '0') and (astring[anindex] <= '9'))  do
  begin
    anindex := anindex + 1;
  end;
  val(copy(astring,1,anindex-1),returnvar,aresult);
  astring := copy(astring,anindex,length(astring)-(anindex-1));
  StripNumber := returnvar
end { StripNumber };

function StripLetter( var astring : string): string;
var
anindex : integer;
begin
  anindex := 1;
  while ((astring[anindex] < '0') or (astring[anindex] > '9'))  do
  begin
    anindex := anindex + 1;
  end;
  StripLetter := copy(astring,1,anindex-1);
  astring := copy(astring,anindex,length(astring)-(anindex-1));
end { StripLetter };
