var s = new Array()

s[0] = "synaser^synaser.html^Serial port communication library^ This unit contains a class that implements serial port communication for Windows or Linux. This class provides numerous methods with same name and functionality as methods of the Ararat Synapse TCP/IP library.    <p>The following is a small example how establish a connection by modem (in this case with my USB modem): </p>    <pre class=\"longcode\">    ser:=TBlockSerial.Create;    <span class=\"pascal_keyword\">try</span>      ser.Connect(<span class=\"pascal_string\">'COM3'</span>);      ser.config(<span class=\"pascal_numeric\">460800</span>,8,<span class=\"pascal_string\">'N'</span>,<span class=\"pascal_numeric\">0</span>,false,true);      ser.ATCommand(<span class=\"pascal_string\">'AT'</span>);      <span class=\"pascal_keyword\">if</span> (ser.LastError &lt;&gt; <span class=\"pascal_numeric\">0</span>) <span class=\"pascal_keyword\">or</span> (<span class=\"pascal_keyword\">not</span> ser.ATResult) <span class=\"pascal_keyword\">then</span>        Exit;      ser.ATConnect(<span class=\"pascal_string\">'ATDT+420971200111'</span>);      <span class=\"pascal_keyword\">if</span> (ser.LastError &lt;&gt; <span class=\"pascal_numeric\">0</span>) <span class=\"pascal_keyword\">or</span> (<span class=\"pascal_keyword\">not</span> ser.ATResult) <span class=\"pascal_keyword\">then</span>        Exit;      <span class=\"pascal_comment\">// you are now connected to a modem at +420971200111</span>      <span class=\"pascal_comment\">// you can transmit or receive data now</span>    <span class=\"pascal_keyword\">finally</span>      ser.free;    <span class=\"pascal_keyword\">end</span>; </pre>    <p> ^0"
s[1] = "synaser.ESynaSerError^synaser.ESynaSerError.html^Exception type for SynaSer errors^ ^0"
s[2] = "synaser.ESynaSerError.ErrorCode^synaser.ESynaSerError.html#ErrorCode^^ ^0"
s[3] = "synaser.ESynaSerError.ErrorMessage^synaser.ESynaSerError.html#ErrorMessage^^ ^0"
s[4] = "synaser.TBlockSerial^synaser.TBlockSerial.html^Main class implementing all communication routines^ ^0"
s[5] = "synaser.TBlockSerial.DCB^synaser.TBlockSerial.html#DCB^^data Control Block with communication parameters. Usable only when you need to call API directly. ^0"
s[6] = "synaser.TBlockSerial.Create^synaser.TBlockSerial.html#Create^^Object constructor.    ^0"
s[7] = "synaser.TBlockSerial.Destroy^synaser.TBlockSerial.html#Destroy^^Object destructor.    ^0"
s[8] = "synaser.TBlockSerial.GetVersion^synaser.TBlockSerial.html#GetVersion^^Returns a string containing the version number of the library.    ^0"
s[9] = "synaser.TBlockSerial.CloseSocket^synaser.TBlockSerial.html#CloseSocket^^Destroy handle in use. It close connection to serial port.    ^0"
s[10] = "synaser.TBlockSerial.Config^synaser.TBlockSerial.html#Config^^Reconfigure communication parameters on the fly. You must be connected to port before!        baud Define connection speed. Baud rate can be from 50 to 4000000 bits per second. (it depends on your hardware!) bits Number of bits in communication. parity Define communication parity (N - None, O - Odd, E - Even, M - Mark or S - Space). stop Define number of stopbits. Use constants <a class=\"normal\" href=\"synaser.html#SB1\">SB1</a>, <a class=\"normal\" href=\"synaser.html#SB1andHalf\">SB1andHalf</a> and <a class=\"normal\" href=\"synaser.html#SB2\">SB2</a>. softflow Enable XON/XOFF handshake. hardflow Enable CTS/RTS handshake.  ^0"
s[11] = "synaser.TBlockSerial.Connect^synaser.TBlockSerial.html#Connect^^Connects to the port indicated by comport. Comport can be used in Windows style (COM2), or in Linux style (/dev/ttyS1). When you use windows style in Linux, then it will be converted to Linux name. And vice versa! However you can specify any device name! (other device names then standart is not converted!)    <p>After successfull connection the DTR signal is set (if you not set hardware handshake, then the RTS signal is set, too!)    <p>Connection parameters is predefined by your system configuration. If you need use another parameters, then you can use Config method after. Notes:    <p>- Remember, the commonly used serial Laplink cable does not support hardware handshake.    <p>- Before setting any handshake you must be sure that it is supported by your hardware.    <p>- Some serial devices are slow. In some cases you must wait up to a few seconds after connection for the device to respond.    <p>- when you connect to a modem device, then is best to test it by an empty AT command. (call ATCommand('AT'))    ^0"
s[12] = "synaser.TBlockSerial.SetCommState^synaser.TBlockSerial.html#SetCommState^^Set communication parameters from the DCB structure (the DCB structure is simulated under Linux).    ^0"
s[13] = "synaser.TBlockSerial.GetCommState^synaser.TBlockSerial.html#GetCommState^^Read communication parameters into the DCB structure (DCB structure is simulated under Linux).    ^0"
s[14] = "synaser.TBlockSerial.SendBuffer^synaser.TBlockSerial.html#SendBuffer^^Sends Length bytes of data from Buffer through the connected port.    ^0"
s[15] = "synaser.TBlockSerial.SendByte^synaser.TBlockSerial.html#SendByte^^One data BYTE is sent.    ^0"
s[16] = "synaser.TBlockSerial.SendString^synaser.TBlockSerial.html#SendString^^Send the string in the data parameter. No terminator is appended by this method. If you need to send a string with CR/LF terminator, you must append the CR/LF characters to the data string!    <p>Since no terminator is appended, you can use this function for sending binary data too.    ^0"
s[17] = "synaser.TBlockSerial.SendInteger^synaser.TBlockSerial.html#SendInteger^^send four bytes as integer.    ^0"
s[18] = "synaser.TBlockSerial.SendBlock^synaser.TBlockSerial.html#SendBlock^^send data as one block. Each block begins with integer value with Length of block.    ^0"
s[19] = "synaser.TBlockSerial.SendStreamRaw^synaser.TBlockSerial.html#SendStreamRaw^^send content of stream from current position    ^0"
s[20] = "synaser.TBlockSerial.SendStream^synaser.TBlockSerial.html#SendStream^^send content of stream as block. see <a class=\"normal\" href=\"synaser.TBlockSerial.html#SendBlock\">SendBlock</a>    ^0"
s[21] = "synaser.TBlockSerial.SendStreamIndy^synaser.TBlockSerial.html#SendStreamIndy^^send content of stream as block, but this is compatioble with Indy library. (it have swapped lenght of block). See <a class=\"normal\" href=\"synaser.TBlockSerial.html#SendStream\">SendStream</a>    ^0"
s[22] = "synaser.TBlockSerial.RecvBuffer^synaser.TBlockSerial.html#RecvBuffer^^Waits until the allocated buffer is filled by received data. Returns number of data bytes received, which equals to the Length value under normal operation. If it is not equal, the communication channel is possibly broken.    <p>This method not using any internal buffering, like all others receiving methods. You cannot freely combine this method with all others receiving methods!    ^0"
s[23] = "synaser.TBlockSerial.RecvBufferEx^synaser.TBlockSerial.html#RecvBufferEx^^Method waits until data is received. If no data is received within the Timeout (in milliseconds) period, <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> is set to <a class=\"normal\" href=\"synaser.html#ErrTimeout\">ErrTimeout</a>. This method is used to read any amount of data (e. g. 1MB), and may be freely combined with all receviving methods what have Timeout parameter, like the <a class=\"normal\" href=\"synaser.TBlockSerial.html#Recvstring\">Recvstring</a>, <a class=\"normal\" href=\"synaser.TBlockSerial.html#RecvByte\">RecvByte</a> or <a class=\"normal\" href=\"synaser.TBlockSerial.html#RecvTerminated\">RecvTerminated</a> methods.    ^0"
s[24] = "synaser.TBlockSerial.RecvBufferStr^synaser.TBlockSerial.html#RecvBufferStr^^It is like recvBufferEx, but data is readed to dynamicly allocated binary string.    ^0"
s[25] = "synaser.TBlockSerial.RecvPacket^synaser.TBlockSerial.html#RecvPacket^^Read all available data and return it in the function result string. This function may be combined with <a class=\"normal\" href=\"synaser.TBlockSerial.html#Recvstring\">Recvstring</a>, <a class=\"normal\" href=\"synaser.TBlockSerial.html#RecvByte\">RecvByte</a> or related methods.    ^0"
s[26] = "synaser.TBlockSerial.RecvByte^synaser.TBlockSerial.html#RecvByte^^Waits until one data byte is received which is returned as the function result. If no data is received within the Timeout (in milliseconds) period, <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> is set to <a class=\"normal\" href=\"synaser.html#ErrTimeout\">ErrTimeout</a>.    ^0"
s[27] = "synaser.TBlockSerial.RecvTerminated^synaser.TBlockSerial.html#RecvTerminated^^This method waits until a terminated data string is received. This string is terminated by the Terminator string. The resulting string is returned without this termination string! If no data is received within the Timeout (in milliseconds) period, <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> is set to <a class=\"normal\" href=\"synaser.html#ErrTimeout\">ErrTimeout</a>.    ^0"
s[28] = "synaser.TBlockSerial.Recvstring^synaser.TBlockSerial.html#Recvstring^^This method waits until a terminated data string is received. The string is terminated by a CR/LF sequence. The resulting string is returned without the terminator (CR/LF)! If no data is received within the Timeout (in milliseconds) period, <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> is set to <a class=\"normal\" href=\"synaser.html#ErrTimeout\">ErrTimeout</a>.    <p>If <a class=\"normal\" href=\"synaser.TBlockSerial.html#ConvertLineEnd\">ConvertLineEnd</a> is used, then the CR/LF sequence may not be exactly CR/LF. See the description of <a class=\"normal\" href=\"synaser.TBlockSerial.html#ConvertLineEnd\">ConvertLineEnd</a>.    <p>This method serves for line protocol implementation and uses its own buffers to maximize performance. Therefore do NOT use this method with the <a class=\"normal\" href=\"synaser.TBlockSerial.html#RecvBuffer\">RecvBuffer</a> method to receive data as it may cause data loss.    ^0"
s[29] = "synaser.TBlockSerial.RecvInteger^synaser.TBlockSerial.html#RecvInteger^^Waits until four data bytes are received which is returned as the function integer result. If no data is received within the Timeout (in milliseconds) period, <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> is set to <a class=\"normal\" href=\"synaser.html#ErrTimeout\">ErrTimeout</a>.    ^0"
s[30] = "synaser.TBlockSerial.RecvBlock^synaser.TBlockSerial.html#RecvBlock^^Waits until one data block is received. See <a class=\"normal\" href=\"synaser.TBlockSerial.html#SendBlock\">SendBlock</a>. If no data is received within the Timeout (in milliseconds) period, <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> is set to <a class=\"normal\" href=\"synaser.html#ErrTimeout\">ErrTimeout</a>.    ^0"
s[31] = "synaser.TBlockSerial.RecvStreamRaw^synaser.TBlockSerial.html#RecvStreamRaw^^Receive all data to stream, until some error occured. (for example timeout)    ^0"
s[32] = "synaser.TBlockSerial.RecvStreamSize^synaser.TBlockSerial.html#RecvStreamSize^^receive requested count of bytes to stream    ^0"
s[33] = "synaser.TBlockSerial.RecvStream^synaser.TBlockSerial.html#RecvStream^^receive block of data to stream. (Data can be sended by <a class=\"normal\" href=\"synaser.TBlockSerial.html#SendStream\">SendStream</a>    ^0"
s[34] = "synaser.TBlockSerial.RecvStreamIndy^synaser.TBlockSerial.html#RecvStreamIndy^^receive block of data to stream. (Data can be sended by <a class=\"normal\" href=\"synaser.TBlockSerial.html#SendStreamIndy\">SendStreamIndy</a>    ^0"
s[35] = "synaser.TBlockSerial.WaitingData^synaser.TBlockSerial.html#WaitingData^^Returns the number of received bytes waiting for reading. 0 is returned when there is no data waiting.    ^0"
s[36] = "synaser.TBlockSerial.WaitingDataEx^synaser.TBlockSerial.html#WaitingDataEx^^Same as <a class=\"normal\" href=\"synaser.TBlockSerial.html#WaitingData\">WaitingData</a>, but in respect to data in the internal <a class=\"normal\" href=\"synaser.TBlockSerial.html#LineBuffer\">LineBuffer</a>.    ^0"
s[37] = "synaser.TBlockSerial.SendingData^synaser.TBlockSerial.html#SendingData^^Returns the number of bytes waiting to be sent in the output buffer. 0 is returned when the output buffer is empty.    ^0"
s[38] = "synaser.TBlockSerial.EnableRTSToggle^synaser.TBlockSerial.html#EnableRTSToggle^^Enable or disable RTS driven communication (half-duplex). It can be used to communicate with RS485 converters, or other special equipment. If you enable this feature, the system automatically controls the RTS signal.    <p>Notes:    <p>- On Windows NT (or higher) ir RTS signal driven by system driver.    <p>- On Win9x family is used special code for waiting until last byte is sended from your UART.    <p>- On Linux you must have kernel 2.1 or higher!    ^0"
s[39] = "synaser.TBlockSerial.Flush^synaser.TBlockSerial.html#Flush^^Waits until all data to is sent and buffers are emptied. Warning: On Windows systems is this method returns when all buffers are flushed to the serial port controller, before the last byte is sent!    ^0"
s[40] = "synaser.TBlockSerial.Purge^synaser.TBlockSerial.html#Purge^^Unconditionally empty all buffers. It is good when you need to interrupt communication and for cleanups.    ^0"
s[41] = "synaser.TBlockSerial.CanRead^synaser.TBlockSerial.html#CanRead^^Returns <code>True</code>, if you can from read any data from the port. Status is tested for a period of time given by the Timeout parameter (in milliseconds). If the value of the Timeout parameter is 0, the status is tested only once and the function returns immediately. If the value of the Timeout parameter is set to -1, the function returns only after it detects data on the port (this may cause the process to hang).    ^0"
s[42] = "synaser.TBlockSerial.CanWrite^synaser.TBlockSerial.html#CanWrite^^Returns <code>True</code>, if you can write any data to the port (this function is not sending the contents of the buffer). Status is tested for a period of time given by the Timeout parameter (in milliseconds). If the value of the Timeout parameter is 0, the status is tested only once and the function returns immediately. If the value of the Timeout parameter is set to -1, the function returns only after it detects that it can write data to the port (this may cause the process to hang).    ^0"
s[43] = "synaser.TBlockSerial.CanReadEx^synaser.TBlockSerial.html#CanReadEx^^Same as <a class=\"normal\" href=\"synaser.TBlockSerial.html#CanRead\">CanRead</a>, but the test is against data in the internal <a class=\"normal\" href=\"synaser.TBlockSerial.html#LineBuffer\">LineBuffer</a> too.    ^0"
s[44] = "synaser.TBlockSerial.ModemStatus^synaser.TBlockSerial.html#ModemStatus^^Returns the status word of the modem. Decoding the status word could yield the status of carrier detect signaland other signals. This method is used internally by the modem status reading properties. You usually do not need to call this method directly.    ^0"
s[45] = "synaser.TBlockSerial.SetBreak^synaser.TBlockSerial.html#SetBreak^^Send a break signal to the communication device for Duration milliseconds.    ^0"
s[46] = "synaser.TBlockSerial.ATCommand^synaser.TBlockSerial.html#ATCommand^^This function is designed to send AT commands to the modem. The AT command is sent in the Value parameter and the response is returned in the function return value (may contain multiple lines!). If the AT command is processed successfully (modem returns OK), then the <a class=\"normal\" href=\"synaser.TBlockSerial.html#ATResult\">ATResult</a> property is set to True.    <p>This function is designed only for AT commands that return OK or ERROR response! To call connection commands the <a class=\"normal\" href=\"synaser.TBlockSerial.html#ATConnect\">ATConnect</a> method. Remember, when you connect to a modem device, it is in AT command mode. Now you can send AT commands to the modem. If you need to transfer data to the modem on the other side of the line, you must first switch to data mode using the <a class=\"normal\" href=\"synaser.TBlockSerial.html#ATConnect\">ATConnect</a> method.    ^0"
s[47] = "synaser.TBlockSerial.ATConnect^synaser.TBlockSerial.html#ATConnect^^This function is used to send connect type AT commands to the modem. It is for commands to switch to connected state. (ATD, ATA, ATO,...) It sends the AT command in the Value parameter and returns the modem's response (may be multiple lines - usually with connection parameters info). If the AT command is processed successfully (the modem returns CONNECT), then the ATResult property is set to <code>True</code>.    <p>This function is designed only for AT commands which respond by CONNECT, BUSY, NO DIALTONE NO CARRIER or ERROR. For other AT commands use the <a class=\"normal\" href=\"synaser.TBlockSerial.html#ATCommand\">ATCommand</a> method.    <p>The connect timeout is 90*<a class=\"normal\" href=\"synaser.TBlockSerial.html#AtTimeout\">AtTimeout</a>. If this command is successful (<a class=\"normal\" href=\"synaser.TBlockSerial.html#ATResult\">ATResult</a> is <code>True</code>), then the modem is in data state. When you now send or receive some data, it is not to or from your modem, but from the modem on other side of the line. Now you can transfer your data. If the connection attempt failed (<a class=\"normal\" href=\"synaser.TBlockSerial.html#ATResult\">ATResult</a> is <code>False</code>), then the modem is still in AT command mode.    ^0"
s[48] = "synaser.TBlockSerial.SerialCheck^synaser.TBlockSerial.html#SerialCheck^^If you &quot;manually&quot; call API functions, forward their return code in the SerialResult parameter to this function, which evaluates it and sets <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> and <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastErrorDesc\">LastErrorDesc</a>.    ^0"
s[49] = "synaser.TBlockSerial.ExceptCheck^synaser.TBlockSerial.html#ExceptCheck^^If <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> is not 0 and exceptions are enabled, then this procedure raises an exception. This method is used internally. You may need it only in special cases.    ^0"
s[50] = "synaser.TBlockSerial.SetSynaError^synaser.TBlockSerial.html#SetSynaError^^Set Synaser to error state with ErrNumber code. Usually used by internal routines.    ^0"
s[51] = "synaser.TBlockSerial.RaiseSynaError^synaser.TBlockSerial.html#RaiseSynaError^^Raise Synaser error with ErrNumber code. Usually used by internal routines.    ^0"
s[52] = "synaser.TBlockSerial.GetErrorDesc^synaser.TBlockSerial.html#GetErrorDesc^^Returns the descriptive text associated with ErrorCode. You need this method only in special cases. Description of LastError is now accessible through the LastErrorDesc property.    ^0"
s[53] = "synaser.TBlockSerial.Device^synaser.TBlockSerial.html#Device^^True device name of currently used port ^0"
s[54] = "synaser.TBlockSerial.LastError^synaser.TBlockSerial.html#LastError^^Error code of last operation. Value is defined by the host operating system, but value 0 is always OK. ^0"
s[55] = "synaser.TBlockSerial.LastErrorDesc^synaser.TBlockSerial.html#LastErrorDesc^^Human readable description of LastError code. ^0"
s[56] = "synaser.TBlockSerial.ATResult^synaser.TBlockSerial.html#ATResult^^Indicates if the last <a class=\"normal\" href=\"synaser.TBlockSerial.html#ATCommand\">ATCommand</a> or <a class=\"normal\" href=\"synaser.TBlockSerial.html#ATConnect\">ATConnect</a> method was successful ^0"
s[57] = "synaser.TBlockSerial.RTS^synaser.TBlockSerial.html#RTS^^Read the value of the RTS signal. ^0"
s[58] = "synaser.TBlockSerial.CTS^synaser.TBlockSerial.html#CTS^^Indicates the presence of the CTS signal ^0"
s[59] = "synaser.TBlockSerial.DTR^synaser.TBlockSerial.html#DTR^^Use this property to set the value of the DTR signal. ^0"
s[60] = "synaser.TBlockSerial.DSR^synaser.TBlockSerial.html#DSR^^Exposes the status of the DSR signal. ^0"
s[61] = "synaser.TBlockSerial.Carrier^synaser.TBlockSerial.html#Carrier^^Indicates the presence of the Carrier signal ^0"
s[62] = "synaser.TBlockSerial.Ring^synaser.TBlockSerial.html#Ring^^Reflects the status of the Ring signal. ^0"
s[63] = "synaser.TBlockSerial.InstanceActive^synaser.TBlockSerial.html#InstanceActive^^indicates if this instance of SynaSer is active. (Connected to some port) ^0"
s[64] = "synaser.TBlockSerial.MaxSendBandwidth^synaser.TBlockSerial.html#MaxSendBandwidth^^Defines maximum bandwidth for all sending operations in bytes per second. If this value is set to 0 (default), bandwidth limitation is not used. ^0"
s[65] = "synaser.TBlockSerial.MaxRecvBandwidth^synaser.TBlockSerial.html#MaxRecvBandwidth^^Defines maximum bandwidth for all receiving operations in bytes per second. If this value is set to 0 (default), bandwidth limitation is not used. ^0"
s[66] = "synaser.TBlockSerial.MaxBandwidth^synaser.TBlockSerial.html#MaxBandwidth^^Defines maximum bandwidth for all sending and receiving operations in bytes per second. If this value is set to 0 (default), bandwidth limitation is not used. ^0"
s[67] = "synaser.TBlockSerial.SizeRecvBuffer^synaser.TBlockSerial.html#SizeRecvBuffer^^Size of the Windows internal receive buffer. Default value is usually 4096 bytes. Note: Valid only in Windows versions! ^0"
s[68] = "synaser.TBlockSerial.Tag^synaser.TBlockSerial.html#Tag^^Freely usable property ^0"
s[69] = "synaser.TBlockSerial.Handle^synaser.TBlockSerial.html#Handle^^Contains the handle of the open communication port. You may need this value to directly call communication functions outside SynaSer. ^0"
s[70] = "synaser.TBlockSerial.LineBuffer^synaser.TBlockSerial.html#LineBuffer^^Internally used read buffer. ^0"
s[71] = "synaser.TBlockSerial.RaiseExcept^synaser.TBlockSerial.html#RaiseExcept^^If <code>True</code>, communication errors raise exceptions. If <code>False</code> (default), only the <a class=\"normal\" href=\"synaser.TBlockSerial.html#LastError\">LastError</a> value is set. ^0"
s[72] = "synaser.TBlockSerial.OnStatus^synaser.TBlockSerial.html#OnStatus^^This event is triggered when the communication status changes. It can be used to monitor communication status. ^0"
s[73] = "synaser.TBlockSerial.TestDSR^synaser.TBlockSerial.html#TestDSR^^If you set this property to <code>True</code>, then the value of the DSR signal is tested before every data transfer. It can be used to detect the presence of a communications device. ^0"
s[74] = "synaser.TBlockSerial.TestCTS^synaser.TBlockSerial.html#TestCTS^^If you set this property to <code>True</code>, then the value of the CTS signal is tested before every data transfer. It can be used to detect the presence of a communications device. Warning: This property cannot be used if you need hardware handshake! ^0"
s[75] = "synaser.TBlockSerial.MaxLineLength^synaser.TBlockSerial.html#MaxLineLength^^Use this property you to limit the maximum size of LineBuffer (as a protection against unlimited memory allocation for LineBuffer). Default value is 0 - no limit. ^0"
s[76] = "synaser.TBlockSerial.DeadlockTimeout^synaser.TBlockSerial.html#DeadlockTimeout^^This timeout value is used as deadlock protection when trying to send data to (or receive data from) a device that stopped communicating during data transmission (e.g. by physically disconnecting the device). The timeout value is in milliseconds. The default value is 30,000 (30 seconds). ^0"
s[77] = "synaser.TBlockSerial.LinuxLock^synaser.TBlockSerial.html#LinuxLock^^If set to <code>True</code> (default value), port locking is enabled (under Linux only). WARNING: To use this feature, the application must run by a user with full permission to the /var/lock directory! ^0"
s[78] = "synaser.TBlockSerial.ConvertLineEnd^synaser.TBlockSerial.html#ConvertLineEnd^^Indicates if non-standard line terminators should be converted to a CR/LF pair (standard DOS line terminator). If <code>True</code>, line terminators CR, single LF or LF/CR are converted to CR/LF. Defaults to <code>False</code>. This property has effect only on the behavior of the RecvString method. ^0"
s[79] = "synaser.TBlockSerial.AtTimeout^synaser.TBlockSerial.html#AtTimeout^^Timeout for AT modem based operations ^0"
s[80] = "synaser.TBlockSerial.InterPacketTimeout^synaser.TBlockSerial.html#InterPacketTimeout^^If <code>True</code> (default), then all timeouts is timeout between two characters. If <code>False</code>, then timeout is overall for whoole reading operation. ^0"
s[81] = "synaser.CR^synaser.html#CR^^ ^0"
s[82] = "synaser.LF^synaser.html#LF^^ ^0"
s[83] = "synaser.CRLF^synaser.html#CRLF^^ ^0"
s[84] = "synaser.cSerialChunk^synaser.html#cSerialChunk^^ ^0"
s[85] = "synaser.LockfileDirectory^synaser.html#LockfileDirectory^^ ^0"
s[86] = "synaser.PortIsClosed^synaser.html#PortIsClosed^^ ^0"
s[87] = "synaser.ErrAlreadyOwned^synaser.html#ErrAlreadyOwned^^ ^0"
s[88] = "synaser.ErrAlreadyInUse^synaser.html#ErrAlreadyInUse^^ ^0"
s[89] = "synaser.ErrWrongParameter^synaser.html#ErrWrongParameter^^ ^0"
s[90] = "synaser.ErrPortNotOpen^synaser.html#ErrPortNotOpen^^ ^0"
s[91] = "synaser.ErrNoDeviceAnswer^synaser.html#ErrNoDeviceAnswer^^ ^0"
s[92] = "synaser.ErrMaxBuffer^synaser.html#ErrMaxBuffer^^ ^0"
s[93] = "synaser.ErrTimeout^synaser.html#ErrTimeout^^ ^0"
s[94] = "synaser.ErrNotRead^synaser.html#ErrNotRead^^ ^0"
s[95] = "synaser.ErrFrame^synaser.html#ErrFrame^^ ^0"
s[96] = "synaser.ErrOverrun^synaser.html#ErrOverrun^^ ^0"
s[97] = "synaser.ErrRxOver^synaser.html#ErrRxOver^^ ^0"
s[98] = "synaser.ErrRxParity^synaser.html#ErrRxParity^^ ^0"
s[99] = "synaser.ErrTxFull^synaser.html#ErrTxFull^^ ^0"
s[100] = "synaser.dcb_Binary^synaser.html#dcb_Binary^^ ^0"
s[101] = "synaser.dcb_ParityCheck^synaser.html#dcb_ParityCheck^^ ^0"
s[102] = "synaser.dcb_OutxCtsFlow^synaser.html#dcb_OutxCtsFlow^^ ^0"
s[103] = "synaser.dcb_OutxDsrFlow^synaser.html#dcb_OutxDsrFlow^^ ^0"
s[104] = "synaser.dcb_DtrControlMask^synaser.html#dcb_DtrControlMask^^ ^0"
s[105] = "synaser.dcb_DtrControlDisable^synaser.html#dcb_DtrControlDisable^^ ^0"
s[106] = "synaser.dcb_DtrControlEnable^synaser.html#dcb_DtrControlEnable^^ ^0"
s[107] = "synaser.dcb_DtrControlHandshake^synaser.html#dcb_DtrControlHandshake^^ ^0"
s[108] = "synaser.dcb_DsrSensivity^synaser.html#dcb_DsrSensivity^^ ^0"
s[109] = "synaser.dcb_TXContinueOnXoff^synaser.html#dcb_TXContinueOnXoff^^ ^0"
s[110] = "synaser.dcb_OutX^synaser.html#dcb_OutX^^ ^0"
s[111] = "synaser.dcb_InX^synaser.html#dcb_InX^^ ^0"
s[112] = "synaser.dcb_ErrorChar^synaser.html#dcb_ErrorChar^^ ^0"
s[113] = "synaser.dcb_NullStrip^synaser.html#dcb_NullStrip^^ ^0"
s[114] = "synaser.dcb_RtsControlMask^synaser.html#dcb_RtsControlMask^^ ^0"
s[115] = "synaser.dcb_RtsControlDisable^synaser.html#dcb_RtsControlDisable^^ ^0"
s[116] = "synaser.dcb_RtsControlEnable^synaser.html#dcb_RtsControlEnable^^ ^0"
s[117] = "synaser.dcb_RtsControlHandshake^synaser.html#dcb_RtsControlHandshake^^ ^0"
s[118] = "synaser.dcb_RtsControlToggle^synaser.html#dcb_RtsControlToggle^^ ^0"
s[119] = "synaser.dcb_AbortOnError^synaser.html#dcb_AbortOnError^^ ^0"
s[120] = "synaser.dcb_Reserveds^synaser.html#dcb_Reserveds^^ ^0"
s[121] = "synaser.SB1^synaser.html#SB1^^stopbit value for 1 stopbit ^0"
s[122] = "synaser.SB1andHalf^synaser.html#SB1andHalf^^stopbit value for 1.5 stopbit ^0"
s[123] = "synaser.SB2^synaser.html#SB2^^stopbit value for 2 stopbits ^0"
s[124] = "synaser.sOK^synaser.html#sOK^^ ^0"
s[125] = "synaser.sErr^synaser.html#sErr^^ ^0"
s[126] = "synaser.GetSerialPortNames^synaser.html#GetSerialPortNames^^Returns list of existing computer serial ports. Working properly only in Windows!    ^0"
s[127] = "synaser.THookSerialReason^synaser.html#THookSerialReason^^Possible status event types for <a class=\"normal\" href=\"synaser.html#THookSerialStatus\">THookSerialStatus</a>  HR_SerialClose    HR_Connect    HR_CanRead    HR_CanWrite    HR_ReadCount    HR_WriteCount    HR_Wait   ^0"
s[128] = "synaser.THookSerialStatus^synaser.html#THookSerialStatus^^procedural prototype for status event hooking    ^0"
s[129] = "synautil^synautil.html^Support procedures and functions^ ^0"
s[130] = "synautil.TimeZoneBias^synautil.html#TimeZoneBias^^Return your timezone bias from UTC time in minutes.    ^0"
s[131] = "synautil.TimeZone^synautil.html#TimeZone^^Return your timezone bias from UTC time in string representation like &quot;+0200&quot;.    ^0"
s[132] = "synautil.Rfc822DateTime^synautil.html#Rfc822DateTime^^Returns current time in format defined in RFC-822. Useful for SMTP messages, but other protocols use this time format as well. Results contains the timezone specification. Four digit year is used to break any Y2K concerns. (Example 'Fri, 15 Oct 1999 21:14:56 +0200')    ^0"
s[133] = "synautil.CDateTime^synautil.html#CDateTime^^Returns date and time in format defined in C compilers in format &quot;mmm dd hh:nn:ss&quot;    ^0"
s[134] = "synautil.SimpleDateTime^synautil.html#SimpleDateTime^^Returns date and time in format defined in format 'yymmdd hhnnss'    ^0"
s[135] = "synautil.AnsiCDateTime^synautil.html#AnsiCDateTime^^Returns date and time in format defined in ANSI C compilers in format &quot;ddd mmm d hh:nn:ss yyyy&quot;    ^0"
s[136] = "synautil.GetMonthNumber^synautil.html#GetMonthNumber^^Decode three-letter string with name of month to their month number. If string not match any month name, then is returned 0. For parsing are used predefined names for English, French and German and names from system locale too.    ^0"
s[137] = "synautil.GetTimeFromStr^synautil.html#GetTimeFromStr^^Return decoded time from given string. Time must be witch separator ':'. You can use &quot;hh:mm&quot; or &quot;hh:mm:ss&quot;.    ^0"
s[138] = "synautil.GetDateMDYFromStr^synautil.html#GetDateMDYFromStr^^Decode string in format &quot;m-d-y&quot; to TDateTime type.    ^0"
s[139] = "synautil.DecodeRfcDateTime^synautil.html#DecodeRfcDateTime^^Decode various string representations of date and time to Tdatetime type. This function do all timezone corrections too! This function can decode lot of formats like: </p>    <pre class=\"longcode\">   ddd, d mmm yyyy hh:mm:ss   ddd, d mmm yy hh:mm:ss   ddd, mmm d yyyy hh:mm:ss   ddd mmm dd hh:mm:ss yyyy</pre>    <p>    <p>and more with lot of modifications, include: </p>    <pre class=\"longcode\">  Sun, <span class=\"pascal_numeric\">06</span> Nov <span class=\"pascal_numeric\">1994</span> 08:<span class=\"pascal_numeric\">49</span>:37 GMT    ; RFC <span class=\"pascal_numeric\">822</span>, updated by RFC <span class=\"pascal_numeric\">1123</span>  Sunday, <span class=\"pascal_numeric\">06</span>-Nov-<span class=\"pascal_numeric\">94</span> 08:<span class=\"pascal_numeric\">49</span>:37 GMT   ; RFC <span class=\"pascal_numeric\">850</span>, obsoleted by RFC <span class=\"pascal_numeric\">1036</span>  Sun Nov  <span class=\"pascal_numeric\">6</span> 08:<span class=\"pascal_numeric\">49</span>:37 <span class=\"pascal_numeric\">1994</span>         ; ANSI C</pre>    <p> Timezone corrections known lot of symbolic timezone names (like CEST, EDT, etc.) or numeric representation (like +0200). By convention defined in RFC timezone +0000 is GMT and -0000 is current your system timezone.    ^0"
s[140] = "synautil.GetUTTime^synautil.html#GetUTTime^^Return current system date and time in UTC timezone.    ^0"
s[141] = "synautil.SetUTTime^synautil.html#SetUTTime^^Set Newdt as current system date and time in UTC timezone. This function work only if you have administrator rights!    ^0"
s[142] = "synautil.GetTick^synautil.html#GetTick^^Return current value of system timer with precizion 1 millisecond. Good for measure time difference.    ^0"
s[143] = "synautil.TickDelta^synautil.html#TickDelta^^Return difference between two timestamps. It working fine only for differences smaller then maxint. (difference must be smaller then 24 days.)    ^0"
s[144] = "synautil.CodeInt^synautil.html#CodeInt^^Return two characters, which ordinal values represents the value in byte format. (High-endian)    ^0"
s[145] = "synautil.DecodeInt^synautil.html#DecodeInt^^Decodes two characters located at &quot;Index&quot; offset position of the &quot;Value&quot; string to Word values.    ^0"
s[146] = "synautil.CodeLongInt^synautil.html#CodeLongInt^^Return four characters, which ordinal values represents the value in byte format. (High-endian)    ^0"
s[147] = "synautil.DecodeLongInt^synautil.html#DecodeLongInt^^Decodes four characters located at &quot;Index&quot; offset position of the &quot;Value&quot; string to LongInt values.    ^0"
s[148] = "synautil.IsIP^synautil.html#IsIP^^Returns <code>True</code>, if &quot;Value&quot; is a valid IPv4 address. Cannot be a symbolic Name!    ^0"
s[149] = "synautil.IsIP6^synautil.html#IsIP6^^Returns <code>True</code>, if &quot;Value&quot; is a valid IPv6 address. Cannot be a symbolic Name!    ^0"
s[150] = "synautil.IPToID^synautil.html#IPToID^^Returns a string with the &quot;Host&quot; ip address converted to binary form.    ^0"
s[151] = "synautil.DumpStr^synautil.html#DumpStr^^Dump binary buffer stored in a string to a result string.    ^0"
s[152] = "synautil.DumpExStr^synautil.html#DumpExStr^^Dump binary buffer stored in a string to a result string. All bytes with code of character is written as character, not as hexadecimal value.    ^0"
s[153] = "synautil.Dump^synautil.html#Dump^^Dump binary buffer stored in a string to a file with DumpFile filename.    ^0"
s[154] = "synautil.DumpEx^synautil.html#DumpEx^^Dump binary buffer stored in a string to a file with DumpFile filename. All bytes with code of character is written as character, not as hexadecimal value.    ^0"
s[155] = "synautil.TrimSPLeft^synautil.html#TrimSPLeft^^Like TrimLeft, but remove only spaces, not control characters!    ^0"
s[156] = "synautil.TrimSPRight^synautil.html#TrimSPRight^^Like TrimRight, but remove only spaces, not control characters!    ^0"
s[157] = "synautil.TrimSP^synautil.html#TrimSP^^Like Trim, but remove only spaces, not control characters!    ^0"
s[158] = "synautil.SeparateLeft^synautil.html#SeparateLeft^^Returns a portion of the &quot;Value&quot; string located to the left of the &quot;Delimiter&quot; string. If a delimiter is not found, results is original string.    ^0"
s[159] = "synautil.SeparateRight^synautil.html#SeparateRight^^Returns the portion of the &quot;Value&quot; string located to the right of the &quot;Delimiter&quot; string. If a delimiter is not found, results is original string.    ^0"
s[160] = "synautil.GetParameter^synautil.html#GetParameter^^Returns parameter value from string in format: parameter1=&quot;value1&quot;; parameter2=value2    ^0"
s[161] = "synautil.ParseParametersEx^synautil.html#ParseParametersEx^^parse value string with elements differed by Delimiter into stringlist.    ^0"
s[162] = "synautil.ParseParameters^synautil.html#ParseParameters^^parse value string with elements differed by ';' into stringlist.    ^0"
s[163] = "synautil.IndexByBegin^synautil.html#IndexByBegin^^Index of string in stringlist with same beginning as Value is returned.    ^0"
s[164] = "synautil.GetEmailAddr^synautil.html#GetEmailAddr^^Returns only the e-mail portion of an address from the full address format. i.e. returns 'nobody@somewhere.com' from '&quot;someone&quot; &lt;nobody@somewhere.com&gt;'    ^0"
s[165] = "synautil.GetEmailDesc^synautil.html#GetEmailDesc^^Returns only the description part from a full address format. i.e. returns 'someone' from '&quot;someone&quot; &lt;nobody@somewhere.com&gt;'    ^0"
s[166] = "synautil.StrToHex^synautil.html#StrToHex^^Returns a string with hexadecimal digits representing the corresponding values of the bytes found in &quot;Value&quot; string.    ^0"
s[167] = "synautil.IntToBin^synautil.html#IntToBin^^Returns a string of binary &quot;Digits&quot; representing &quot;Value&quot;.    ^0"
s[168] = "synautil.BinToInt^synautil.html#BinToInt^^Returns an integer equivalent of the binary string in &quot;Value&quot;. (i.e. ('10001010') returns 138)    ^0"
s[169] = "synautil.ParseURL^synautil.html#ParseURL^^Parses a URL to its various components.    ^0"
s[170] = "synautil.ReplaceString^synautil.html#ReplaceString^^Replaces all &quot;Search&quot; string values found within &quot;Value&quot; string, with the &quot;Replace&quot; string value.    ^0"
s[171] = "synautil.RPosEx^synautil.html#RPosEx^^It is like RPos, but search is from specified possition.    ^0"
s[172] = "synautil.RPos^synautil.html#RPos^^It is like POS function, but from right side of Value string.    ^0"
s[173] = "synautil.FetchBin^synautil.html#FetchBin^^Like <a class=\"normal\" href=\"synautil.html#Fetch\">Fetch</a>, but working with binary strings, not with text.    ^0"
s[174] = "synautil.Fetch^synautil.html#Fetch^^Fetch string from left of Value string.    ^0"
s[175] = "synautil.FetchEx^synautil.html#FetchEx^^Fetch string from left of Value string. This function ignore delimitesr inside quotations.    ^0"
s[176] = "synautil.IsBinaryString^synautil.html#IsBinaryString^^If string is binary string (contains non-printable characters), then is returned true.    ^0"
s[177] = "synautil.PosCRLF^synautil.html#PosCRLF^^return position of string terminator in string. If terminator found, then is returned in terminator parameter. Possible line terminators are: CRLF, LFCR, CR, LF    ^0"
s[178] = "synautil.StringsTrim^synautil.html#StringsTrim^^Delete empty strings from end of stringlist.    ^0"
s[179] = "synautil.PosFrom^synautil.html#PosFrom^^Like Pos function, buf from given string possition.    ^0"
s[180] = "synautil.IncPoint^synautil.html#IncPoint^^Increase pointer by value.    ^0"
s[181] = "synautil.GetBetween^synautil.html#GetBetween^^Get string between PairBegin and PairEnd. This function respect nesting. For example: </p>    <pre class=\"longcode\">   Value <span class=\"pascal_keyword\">is</span>: <span class=\"pascal_string\">'Hi! (hello(yes!))'</span>   pairbegin <span class=\"pascal_keyword\">is</span>: <span class=\"pascal_string\">'('</span>   pairend <span class=\"pascal_keyword\">is</span>: <span class=\"pascal_string\">')'</span>   <span class=\"pascal_keyword\">In</span> this <span class=\"pascal_keyword\">case</span> result <span class=\"pascal_keyword\">is</span>: <span class=\"pascal_string\">'hello(yes!)'</span></pre>    <p>    ^0"
s[182] = "synautil.CountOfChar^synautil.html#CountOfChar^^Return count of Chr in Value string.    ^0"
s[183] = "synautil.UnquoteStr^synautil.html#UnquoteStr^^Remove quotation from Value string. If Value is not quoted, then return same string without any modification.    ^0"
s[184] = "synautil.QuoteStr^synautil.html#QuoteStr^^Quote Value string. If Value contains some Quote chars, then it is doubled.    ^0"
s[185] = "synautil.HeadersToList^synautil.html#HeadersToList^^Convert lines in stringlist from 'name: value' form to 'name=value' form.    ^0"
s[186] = "synautil.ListToHeaders^synautil.html#ListToHeaders^^Convert lines in stringlist from 'name=value' form to 'name: value' form.    ^0"
s[187] = "synautil.SwapBytes^synautil.html#SwapBytes^^swap bytes in integer.    ^0"
s[188] = "synautil.ReadStrFromStream^synautil.html#ReadStrFromStream^^read string with requested length form stream.    ^0"
s[189] = "synautil.WriteStrToStream^synautil.html#WriteStrToStream^^write string to stream.    ^0"
s[190] = "synautil.GetTempFile^synautil.html#GetTempFile^^Return filename of new temporary file in Dir (if empty, then default temporary directory is used) and with optional filename prefix.    ^0"
s[191] = "synautil.CustomMonthNames^synautil.html#CustomMonthNames^^can be used for your own months strings for <a class=\"normal\" href=\"synautil.html#GetMonthNumber\">GetMonthNumber</a> ^0"
